Bug 88185 - [patch] vumeter-0.9.2 packing list fix
Summary: [patch] vumeter-0.9.2 packing list fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jean-Yves Lefort
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-29 18:00 UTC by Stuart Barkley
Modified: 2005-10-30 14:36 UTC (History)
0 users

See Also:


Attachments
file.diff (791 bytes, patch)
2005-10-29 18:00 UTC, Stuart Barkley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stuart Barkley 2005-10-29 18:00:27 UTC
The update to version 0.9.2 changed the way the dafault skins are
installed.  It copies the files to the wrong place (VU_Meter_skins/skins
instead of VU_Meter_skins) and also breaks the packing list.

How-To-Repeat: 
  cd /usr/ports/graphics/xmms-vumeter
  make package
Comment 1 Jean-Yves Lefort freebsd_committer 2005-10-29 18:37:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jylefort

Take.
Comment 2 Jean-Yves Lefort freebsd_committer 2005-10-30 09:09:27 UTC
The problem you describe happens if, for some reason, ${DATADIR}
already exists at installation time.

Another reason why ${CP} should not be used is that it does not set
the appropriate permissions/ownerships.

Maintainer, please approve the patch (without the PLIST_SUB bit, which
is already set in bsd.port.mk).

-- 
Jean-Yves Lefort

jylefort@FreeBSD.org
http://lefort.be.eu.org/
Comment 3 Jean-Yves Lefort freebsd_committer 2005-10-30 09:09:45 UTC
State Changed
From-To: open->feedback

Waiting for maintainer feedback.
Comment 4 Alejandro Pulver 2005-10-30 13:43:18 UTC
On Sun, 30 Oct 2005 10:09:27 +0100
Jean-Yves Lefort <jylefort@FreeBSD.org> wrote:

> The problem you describe happens if, for some reason, ${DATADIR}
> already exists at installation time.
> 
> Another reason why ${CP} should not be used is that it does not set
> the appropriate permissions/ownerships.
> 
> Maintainer, please approve the patch (without the PLIST_SUB bit, which
> is already set in bsd.port.mk).
> 

I agree with the changes.

Best Regards,
Ale
Comment 5 Jean-Yves Lefort freebsd_committer 2005-10-30 14:36:12 UTC
State Changed
From-To: feedback->closed

Committed, thanks!